--
--    AgromaszPD
--
--    @author:      vnsdfg2
--    @descripion: Configurations Chisel Plough
--    @history:     v1.0 - 2018-01-20 - Initial implementation
--
ConfigurationUtil.registerConfigurationType('lightType', g_i18n:getText('configuration_lightType'), nil, nil, nil, ConfigurationUtil.SELECTOR_MULTIOPTION)

AgromaszPD = {}
AgromaszPD.modDir = g_currentModDirectory;

function AgromaszPD.prerequisitesPresent(specializations)
    return true;
end;

function AgromaszPD:load(savegame)
    local lightTypeId = Utils.getNoNil(self.configurations["lightType"], 1);
    
    if self.configurations["lightType"] ~= nil then
        ObjectChangeUtil.updateObjectChanges(self.xmlFile, "vehicle.lightTypeConfigurations.lightTypeConfiguration", lightTypeId, self.components, self);
    end;

end;

function AgromaszPD:delete()
end;

function AgromaszPD:readStream(streamId, connection)
end;

function AgromaszPD:writeStream(streamId, connection)
end;

function AgromaszPD:mouseEvent(posX, posY, isDown, isUp, button)
end;

function AgromaszPD:keyEvent(unicode, sym, modifier, isDown)
end;

function AgromaszPD:update(dt) 
end;

function AgromaszPD:onLeave()
end;

function AgromaszPD:draw()
end;
    
function AgromaszPD:onDetach()
end;
    
function AgromaszPD:onDeactivate()
end;
    

